OBATA Akio | 1 Jan 07:14 2011
Picon

Re: problem with x11/renderproto?

I feel following patch should fixes both native XFree86 and Xorg for NetBSD,
check same as libXrender.
I'm not sure that upper bounce guard 0.10 is sufficient for Xfree86,
but it is required.

Index: x11/renderproto/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/renderproto/buildlink3.mk,v
retrieving revision 1.14
diff -u -r1.14 buildlink3.mk
--- x11/renderproto/buildlink3.mk       22 Dec 2010 23:41:30 -0000      1.14
+++ x11/renderproto/buildlink3.mk       1 Jan 2011 06:06:37 -0000
 <at>  <at>  -7,15 +7,8  <at>  <at> 
  .if !defined(RENDERPROTO_BUILDLINK3_MK)
  RENDERPROTO_BUILDLINK3_MK:=

-.if ${X11_TYPE} == "native"
-. include "../../mk/x11.buildlink3.mk"
-. if ${BUILTIN_X11_TYPE.native} == "XFree86"
-RENDERPROTO_RENDERPROTO9=1
-. endif
-.endif
-
-.if defined(RENDERPROTO_RENDERPROTO9)
-BUILDLINK_API_DEPENDS.renderproto+=    renderproto>=0.9.3nb1
+.if ${X11_TYPE} != "modular" && !exists(${X11BASE}/lib/pkgconfig/renderproto.pc)
+BUILDLINK_API_DEPENDS.renderproto+=    renderproto>=0.9.3nb1<0.10
  BUILDLINK_PKGSRCDIR.renderproto?=      ../../x11/renderproto9
  .else
  BUILDLINK_API_DEPENDS.renderproto+=    renderproto>=0.9.3nb1
(Continue reading)

Pouya D. Tafti | 1 Jan 16:47 2011

ffmpeg support in audio/musicpd (patch)

Hi,

I made a hackish attempt to enable ffmpeg support for audio/musicpd.
It seems to be working fine for me.  Patch is attached.

Happy new year.

Pouya
Attachment (musicpd.patch): application/octet-stream, 996 bytes
Jonathan A. Kollasch | 1 Jan 16:53 2011
Picon

Re: ffmpeg support in audio/musicpd (patch)

On Sat, Jan 01, 2011 at 04:47:21PM +0100, Pouya D. Tafti wrote:
> Hi,
> 
> I made a hackish attempt to enable ffmpeg support for audio/musicpd.
> It seems to be working fine for me.  Patch is attached.
> 

Why disable AAC in the not-ffmpeg case?

	Jonathan Kollasch

Pouya D. Tafti | 1 Jan 16:55 2011

Re: ffmpeg support in audio/musicpd (patch)

On 1 January 2011 16:53, Jonathan A. Kollasch <jakllsch <at> kollasch.net> wrote:
> Why disable AAC in the not-ffmpeg case?

Sorry, that's a bug (hasty copy-pasting).  Please try the attached
patch instead.  --p.
Attachment (musicpd.patch): application/octet-stream, 1000 bytes
msettgast | 1 Jan 21:21 2011

USE_LANGUAGES difficulties

Hello,

I am using NetBSD 5.1 AMD64.
I have some difficulties regarding compiling several different pkgsrces.
For example pkgsrc/net/openvpn version 2.1.3.
If I try to compile openvpn, make stops and I got a message, that I should
add c to USE_LANGUAGES in the package Makefile.
I received this message for different pkgsrces with c, c++ and fotran.
I tried to add this option to /etc/mk.conf and also to the Makefile of 
every pkgsrc, but unfortunately without any result.
Until now I was not able to find a solution for this problem, maybe 
somebody can give me a hint/ help me?!

Cheers!
Marcel

---                    _
ASCII ribbon campaign ( )
  - against HTML email  X
              & vCards / \

Bernd Ernesti | 2 Jan 20:05 2011
Picon

Re: KDE application slowness (dbus related?)

On Sun, Dec 19, 2010 at 01:05:30PM +0100, Thomas Klausner wrote:
> Hi!
> 
> When using KDE applications like digikam or amarok, they very often
> behave sluggishly (I only use single applications, not the whole KDE
> desktop).

it looks like one has to remove all the configuration from kde3
to get at least a somehow running system except that there is always
the following requester when you log in:

 Nepomuk Data Storage
 Nepomuk Semantic Desktop needs the Virtuso RDF server to store its data.
 Installing the Virtuoso Soprano plugin is mandatory for using Nepomuk.

I can not find any virtuoso package in pkgsrc, at least not in 2010Q3.

I'm not sure if this is related but when I try to switch to the German
language for the desktop this will not complete.
The "Updating system configuration" status window passed several times
the 100% mark and is still running.

The Akonadi console shows that the "Nepomuk Contact Feeder is not
operational"

Another issue is the greeter which I can not configure to show the
users in a list. I modified /usr/pkg/etc/kdm/kdmrc but that seems to have
no effect.

The following message is in the syslog:
(Continue reading)

Larson, Timothy E. | 3 Jan 16:56 2011

RE: wip/collectd

> I've made some updates to wip/collectd and was wondering if anyone
> was
> interested in using/testing it.

This is probably not specific to collectd, but is the latest Perl (5.12) required?  Rebuilding a big package
like that is slow on my older machines, so if it's not necessary, it would be nice if dependent packages
could specify the minimum version needed.  (I have 5.10.0nb4 installed, FWIW.)

Tim
--

-- 
Tim Larson
App Admin, Intercall Production Services

matthew sporleder | 3 Jan 17:05 2011
Picon

Re: wip/collectd

On Mon, Jan 3, 2011 at 10:56 AM, Larson, Timothy E. <TELarson <at> west.com> wrote:
>> I've made some updates to wip/collectd and was wondering if anyone
>> was
>> interested in using/testing it.
>
> This is probably not specific to collectd, but is the latest Perl (5.12) required?  Rebuilding a big
package like that is slow on my older machines, so if it's not necessary, it would be nice if dependent
packages could specify the minimum version needed.  (I have 5.10.0nb4 installed, FWIW.)
>

It could probably use an older version.

Ulisse Agresti | 3 Jan 21:35 2011
Picon

problems with installing GIMP

hi,
I have trouble installing gimp.
This is the message that stops the installation.


thanks for all.
regards,

Ulisse Agresti
lss.grs <at> gmail.com
uagresti <at> yahoo.it

Attachment (gimp): application/octet-stream, 10 KiB
Aleksey Cheusov | 3 Jan 22:32 2011
Picon

Re: RFC: nih - package manager for pkgsrc

> Hello. For a few weeks I've been developing new package manager for
> pkgsrc ( wip/pkgnih-current ).

I've just released first release and packaged it in wip/pkgnih.

Testers are welcome.

--

-- 
Best regards, Aleksey Cheusov.


Gmane